#!/bin/sh
#########################################################################################
# This is video card swich tool . Now supports video card switching .			#
# IGD ----->S3G										#
# PEG------>NVIDIA(open deiver or closed  driver)					#
# PEG------>ATI (open deiver)								#
#########################################################################################
nvidia=`lspci | grep -i vga | grep -i NVIDIA` 
ati=`lspci | grep -i VGA | grep ATI`
s3g=`lspci | grep -i VGA | grep -i VIA`

NVIDIA_NAME=$(dpkg -l | grep nvidia  | grep "binary" | awk '{print $2}')
S3G_NAME=$(dpkg -l | grep xserver-xorg-video-s3g | awk '{print$2}')
ATI_NAME=$(dpkg -l | grep xserver-xorg-video-ati | awk '{print$2}')

#LOG_VIDEO_SWITCH="/var/log/video-switch.log"
LOG_VIDEO_SWITCH="/tmp/video-switch.log"

################### main################################
if [ -d /rofs ];then exit 0; fi

if [ -n "$s3g" ] ;then 
	#s3g card  
	echo "Use s3g card =`date` "  >> $LOG_VIDEO_SWITCH
	if [ ! -n "${S3G_NAME}" ]; then
		if [ -n "${NVIDIA_NAME}" ]; then
			echo "rm nvidia driver " >> $LOG_VIDEO_SWITCH	
			dpkg -P nvidia-346
		fi
		echo "install s3g driver " >> $LOG_VIDEO_SWITCH	
		dpkg -i /usr/local/nfsdrivers/xserver-xorg-video-s3g_150002l-4nfs1_amd64.deb
		service mdm restart
	fi
	nvidia=
	if [ ! -n "$nvidia" ]; then
		echo "nvidia is null " >> $LOG_VIDEO_SWITCH
	fi
	if [ ! -n "$ati" ]; then
                echo "ati is null " >> $LOG_VIDEO_SWITCH
        fi
elif [ -n "$nvidia" ]; then  
	#NVIDIA card
	echo "Use nvidia card =`date` "  >> $LOG_VIDEO_SWITCH
	if [ ! -n "${NVIDIA_NAME}" ]; then #bug
		if [ -n "${S3G_NAME}" ]; then
			echo "rm nvidia driver " >> $LOG_VIDEO_SWITCH	
			dpkg -P xserver-xorg-video-s3g
		fi
		echo "install nvidia driver " >> $LOG_VIDEO_SWITCH	
		dpkg -i /usr/local/nfsdrivers/nvidia-346_346.82-0ubuntu1_amd64.deb
		service mdm restart
	fi
else
       #other
	dpkg -P xserver-xorg-video-s3g
	dpkg -P nvidia-346
fi

